﻿using System.Linq;
using System.Threading;
using Styx;
using Styx.Helpers;

using Styx.TreeSharp;
using Styx.WoWInternals;
using Styx.WoWInternals.WoWObjects;


namespace BgBot.Behaviors
{
    public class ActionEnqueueForBattlegrounds : Action
    {
        #region Overrides of Behavior

        //Taken from Bgbuddy
        private void SetRoles()
        {
            bool flag = StyxWoW.Me.SpecType == SpecType.Healer;
            bool flag2 = StyxWoW.Me.SpecType == SpecType.Tank;
            object[] args = new object[3];
            args[0] = flag2.ToString().ToLowerInvariant();
            args[1] = flag.ToString().ToLowerInvariant();
            bool flag3 = !flag2 && !flag;
            args[2] = flag3.ToString().ToLowerInvariant();
            Lua.DoString("SetPVPRoles({0}, {1}, {2});", args);

        }

        /// <summary>
        /// Actually executes one behavior tick
        /// </summary>
        /// <returns></returns>
        protected override RunStatus Run(object context)
        {
            SetRoles();
            Battlegrounds.JoinBattlefield(BBRSettings.Instance.BG1,false);
            Battlegrounds.JoinBattlefield(BBRSettings.Instance.BG2,false);

            Thread.Sleep(5000);

            if (Battlegrounds.BattlegroundStatuses.Any(status => status == BattlegroundStatus.Queued))
            {
                return RunStatus.Success;
            }

            return RunStatus.Failure;
        }

        #endregion
    }
}