﻿
using Styx.Pathing;
using Styx.WoWInternals;
using Tripper.MeshMisc;
using Tripper.Navigation;

using SotAGate = Tripper.MeshMisc.SotAGate;

namespace BgBot
{
    partial class BgBot
    {
        public static void SetPvpQueryFilter()
        {
            var meshNav = Navigator.NavigationProvider as MeshNavigator;
            
            if (meshNav == null)
            {
                return;
            }

            switch (Battlegrounds.Current)
            {
                case BattlegroundType.SotA:
                    {
                       /* if (!meshNav.Nav.HasQueryFilter("SotA"))
                        {
                            WowQueryFilter qf = GetNewDefaultPvpQueryFilter();
                            float groundCost = qf.GetAreaCost(AreaType.Ground);
                            qf.SetAreaCost((AreaType)SotAGate.Blue, groundCost);
                            qf.SetAreaCost((AreaType)SotAGate.Green, groundCost);
                            qf.SetAreaCost((AreaType)SotAGate.Purple, groundCost);
                            qf.SetAreaCost((AreaType)SotAGate.Red, groundCost);
                            qf.SetAreaCost((AreaType)SotAGate.Yellow, groundCost);
                            meshNav.Nav.StoreQueryFilter("SotA", qf);
                        }

                        meshNav.Nav.SetQueryFilterByStored("SotA");*/
                        break;
                    }
                case BattlegroundType.IoC:
                    {
                        /*if (!meshNav.Nav.HasQueryFilter("IoC"))
                        {
                            WowQueryFilter qf = GetNewDefaultPvpQueryFilter();
                            float groundCost = qf.GetAreaCost(AreaType.Ground);
                            qf.SetAreaCost((AreaType)IoCGate.AllianceEast, groundCost);
                            qf.SetAreaCost((AreaType)IoCGate.AllianceNorth, groundCost);
                            qf.SetAreaCost((AreaType)IoCGate.AllianceWest, groundCost);
                            qf.SetAreaCost((AreaType)IoCGate.HordeEast, groundCost);
                            qf.SetAreaCost((AreaType)IoCGate.HordeSouth, groundCost);
                            qf.SetAreaCost((AreaType)IoCGate.HordeWest, groundCost);
                            meshNav.Nav.StoreQueryFilter("IoC", qf);
                        }

                        meshNav.Nav.SetQueryFilterByStored("IoC");*/
                        break;
                    }
            }
        }

        private static WowQueryFilter GetNewDefaultPvpQueryFilter()
        {
            WowQueryFilter qf = WowNavigator.GetNewDefaultQueryFilter();
            qf.SetAreaCost(AreaType.Road, qf.GetAreaCost(AreaType.Ground));
            return qf;
        }
    }
}