﻿using System;
using System.Collections.Generic;
using System.Linq;
using Styx;
using Styx.Common;
using Styx.WoWInternals;
using Vector2 = Tripper.Tools.Math.Vector2;

namespace BgBot.Logic
{
   
    public class BattleForGilneas : HoldPointBattleground
    {
        public override BattlegroundType BgType
        {
            get { return BattlegroundType.BfG; }
        }



        public override PlayStyle Stance
        {
            get { return BBRSettings.Instance.bfgPlaystyle; }
        }

        //[Lighthouse: Uncontrolled]: Entry: 2412 NormalIcon:6 Location:<0, 0, 0> MapId:761 AreaId:5449 Flags:4751 WorldState:1 ShowInBattleMap:True ShowInBg:True ShowInZone:True TextureIndex:6 MapX:0.3591626 MapY:0.6295003
        //[Mines: Uncontrolled]: Entry: 2404 NormalIcon:16 Location:<1244.51, 923.092, 9.884823> MapId:761 AreaId:5449 Flags:4751 WorldState:1 ShowInBattleMap:True ShowInBg:True ShowInZone:True TextureIndex:16 MapX:0.6318653 MapY:0.4139932
        //[Waterworks: Uncontrolled]: Entry: 2405 NormalIcon:26 Location:<0, 0, 0> MapId:761 AreaId:5449 Flags:4751 WorldState:1 ShowInBattleMap:True ShowInBg:True ShowInZone:True TextureIndex:26 MapX:0.6120201 MapY:0.7179334
        public override string ProfileName
        {
            get
            {
                return "BattleForGilneas";
            }
        }
    }
}