﻿
using Styx.WoWInternals;

namespace BgBot.Logic
{
    public class TwinPeaks : CtfBattleground
    {
        public override BattlegroundType BgType
        {
            get { return BattlegroundType.TP; }
        }

        public override PlayStyle Stance
        {
            get
            {
                var ps = BBRSettings.Instance.tpPlaystyle;
                return ps != PlayStyle.Random ? _randomPlaystyle : ps;
            }
        }

        public override string ProfileName
        {
            get
            {
                return "TwinPeaks";
            }
        }
    }
}