﻿using System;
using System.Collections.Generic;

using Styx;


using Styx.WoWInternals;

namespace BgBot.Logic
{
    public class WarsongGulch : CtfBattleground
    {

        public override BattlegroundType BgType
        {
            get { return BattlegroundType.WSG; }
        }

        public override PlayStyle Stance
        {
            get
            {
                var ps = BBRSettings.Instance.wsgPlaystyle;
                return ps != PlayStyle.Random ? _randomPlaystyle : ps;
            }
        }

        public override string ProfileName
        {
            get
            {
                return "WarsongGulch";
            }
        }
    }
}
