﻿using System.Collections.Generic;
using System.Linq;
using Styx.Common;
using Styx.Helpers;

namespace BgBot
{
    public static class PvpHotspotExtensions
    {
        public static PvpHotspot GetHotspot(this IEnumerable<PvpHotspot> hotspots, string name)
        {
            PvpHotspot hs = hotspots.FirstOrDefault(h => h.Name == name);
            if (hs == null)
            {
                Logging.Write("You haven't defined a hotspot named {0} ! Cannot fight in this location.", name);
            }
            return hs;
        }
    }
}