﻿using System;
using System.Threading;

using Styx;
using Styx.Common;
using Styx.CommonBot;

using Styx.TreeSharp;
using Styx.WoWInternals;
using Action = Styx.TreeSharp.Action;

namespace BgBot.Behaviors
{
    class ActionLogger : Action

    {

        private object dataz;

        public ActionLogger(object data)
        {
            dataz = data;
        }

        protected override RunStatus Run(object context)
        {

            Logging.WriteDiagnostic(dataz.ToString());
            return RunStatus.Success;
        }
    }


    class FailLogger : Action
    {

        private object dataz;

        public FailLogger(object data)
        {
            dataz = data;
        }

        protected override RunStatus Run(object context)
        {

            Logging.WriteDiagnostic(dataz.ToString());
            return RunStatus.Failure;
        }
    }
}
