﻿
using Styx.CommonBot;
using Styx.CommonBot.AreaManagement;

using Styx.TreeSharp;
using Styx.WoWInternals.WoWObjects;


namespace BgBot.Behaviors
{
    public class DecoratorNeedToFindPVPTarget : Decorator
    {
        public DecoratorNeedToFindPVPTarget(CanRunDecoratorDelegate func, Composite child): base(func,child)
        {
        }

        public DecoratorNeedToFindPVPTarget(Composite child): base(child)
        {
        }

        protected override System.Collections.Generic.IEnumerable<RunStatus> Execute(object context)
        {
            return base.Execute(context);
        }

        protected override bool CanRun(object context)
        {
            WoWUnit firstUnit = Targeting.Instance.FirstUnit;
            if (firstUnit == null || firstUnit.DistanceSqr > 60*60)
                return false;

            return base.CanRun(context);
        }

    }
}
