﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Styx;
using Styx.Common;
using Styx.WoWInternals;
using Styx.WoWInternals.WoWObjects;
using Vector2 = Tripper.Tools.Math.Vector2;

namespace BgBot.Logic
{
    class SilvershardMines : BoxOnlyBattleground
    {
        public override BattlegroundType BgType
        {
            get { return BattlegroundType.SM; }
        }

        public override PlayStyle Stance
        {
            get
            {
                var ps = BBRSettings.Instance.smPlaystyle;
                return ps != PlayStyle.Random ? _randomPlaystyle : ps;
            }
        }

        //	60140	Mine Cart	1.4788968563079834	<719.4469, 130.4241, 319.9171>	<719.4469, 130.4241, 319.9171>	4.494886	3	0		False	True	False	True	False	False	False	Position: <719.4469, 130.4241, 319.9171>, Heading: 4.494886, TransportGuid: 0, DirectionCosX: -0.3698606, DirectionSinX: -0.9290872, DirectionCosY: 1, DirectionSinY: 0, FallTime: 0, FallStartHeight: 319.5475, LastFallHeight: 0, CurrentSpeed: 1.999343, BackwardSpeed: 2, ForwardSpeed: 2, RunSpeed: 4.5, SwimmingForwardSpeed: 2.5, SwimmingBackwardSpeed: 2.5, FlyingForwardSpeed: 7, FlyingBackwardSpeed: 4.5, HoverHeight: 1, TimeMoved: 24381, MovementFlags: 536870913, IsFalling: False, MovingForward: True, MovingBackward: False, MovingStrafeLeft: False, MovingStrafeRight: False, MovingTurnLeft: False, MovingTurnRight: False, IsMoving: True, IsStrafing: False, IsSwimming: False, IsFlying: False, CanFly: False, IsAscending: False, IsDescending: False, JumpingOrShortFalling: False, FallingFar: False		0		0		0		0		0		0		0		0				False	100	100	100	Styx.WoWInternals.WoWObjects.WoWUnit+PowerInfo	False	2	2	0	100	2	0	0	0	2	2	2	2	0	100	2	2	0	0	2	2	100	100	100	100	100	100	100	NaN	100	NaN	NaN	Styx.WoWInternals.WoWObjects.WoWUnit+PowerInfo	Styx.WoWInternals.WoWObjects.WoWUnit+PowerInfo	Styx.WoWInternals.WoWObjects.WoWUnit+PowerInfo	Styx.WoWInternals.WoWObjects.WoWUnit+PowerInfo	Styx.WoWInternals.WoWObjects.WoWUnit+PowerInfo	Styx.WoWInternals.WoWObjects.WoWUnit+PowerInfo	Styx.WoWInternals.WoWObjects.WoWUnit+PowerInfo	Styx.WoWInternals.WoWObjects.WoWUnit+PowerInfo	Styx.WoWInternals.WoWObjects.WoWUnit+PowerInfo	Styx.WoWInternals.WoWObjects.WoWUnit+PowerInfo	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	2000	3489660935	0	0	0	0	0	1	0	0	0	0	0	0	0	0	0	0	0		0	0	0	0	0		False	False	False	False	False	0	0	0		False	1	35	Villian, Parent: 	Styx.WoWInternals.WoWFactionTemplate	1	41243	41243	0	False	1	1	0	32768	1141374976	0	0		0	Rogue	0	Energy				Normal	False	False	False	False	True	False	False	False	False	False	True	False	False	False	False	False	False	False	False	False	False	False	False	False	False	False	False	False	False	False	False	False	False	False	False	False	False	False	False	False	False	False	False	False	False	False	False	False	False		Leather	NotSpecified	False	False	False	False	False	False	False	False	False	False	False	False	Normal	False	True	False	TargetGuid: 05000000059BF219, RawPercent: 0, ThreatStatus: UnitNotInThreatTable, ThreatValue: 0	False	False	Friendly	True	False	False	False	False	True	True	False	0		False	False	False	False	False	856407808	True	Unit	Object, Unit	17388656460610666667	0	9	True	False	17388656460610666667	719.4469	130.424088	319.917053	257.538	2.1871359760407358	1.4432483911514282	2.0829658920411021	False	<719.4469, 130.4241, 319.9171>	None	TaxiNotEligible	True	True	True	False	True	False
        public void shit()
        {

            var x =
                ObjectManager.GetObjectsOfType<WoWUnit>(true, true)
                             .Where(r => r.Entry == 60140)
                             .OrderBy(r => r.Distance)
                             .FirstOrDefault();

            //foreach (var z in x.Auras)
                //Log(z);




        }

        //Horde
        //[Control Visual (Horde), Name: Control Visual (Horde), SpellId: 116085, CreatorGuid: F150EAEC00000120, TimeLeft: 00:00:00, StackCount: 0, Flags: Passive, Cancelable]
        //[Cart Control Capture Point Unit East, Name: Cart Control Capture Point Unit East, SpellId: 125620, CreatorGuid: F150EAEC00000120, TimeLeft: 00:00:00, StackCount: 0, Flags: Passive, Cancelable]
        //[Defending Cart Aura, Name: Defending Cart Aura, SpellId: 128646, CreatorGuid: F150EAEC00000120, TimeLeft: 00:00:00, StackCount: 0, Flags: Passive, Cancelable]
        //Alliance
        //[Control Visual (Alliance), Name: Control Visual (Alliance), SpellId: 116086, CreatorGuid: F150EAEC0000014E, TimeLeft: 00:00:00, StackCount: 0, Flags: Passive, Cancelable]
        //[Cart Control Capture Point Unit North, Name: Cart Control Capture Point Unit North, SpellId: 125695, CreatorGuid: F150EAEC0000014E, TimeLeft: 00:00:00, StackCount: 0, Flags: Passive, Cancelable]
        //[Defending Cart Aura, Name: Defending Cart Aura, SpellId: 128646, CreatorGuid: F150EAEC0000014E, TimeLeft: 00:00:00, StackCount: 0, Flags: Passive, Cancelable]


        public string FriendlyId
        {
            get {
                return StyxWoW.Me.IsHorde ? "Control Visual (Horde)" : "Control Visual (Alliance)";
            }
        }



        public string HostileId
        {
            get {
                return StyxWoW.Me.IsHorde ? "Control Visual (Alliance)" : "Control Visual (Horde)";
            }
        }

        public IEnumerable<WoWUnit>FriendlyCarts
        {
            get
            {
                return ObjectManager.GetObjectsOfType<WoWUnit>(true, true)
                             .Where(r => r.Entry == 60140 && r.Auras.ContainsKey(FriendlyId))
                             
                             ;
            }
        }

        public IEnumerable<WoWUnit> HostileCarts
        {
            get
            {
                return ObjectManager.GetObjectsOfType<WoWUnit>(true, true)
                             .Where(r => r.Entry == 60140 && r.Auras.ContainsKey(HostileId))

                             ;
            }
        }


        public override PvpHotspot GetFightLocation(IEnumerable<Vector2> playerLocations, IEnumerable<PvpHotspot> hotspots)
        {

            //Offensive, set lowest hp orb holder as hotspot.
            if (Stance == PlayStyle.Offensive)
            {
                //Make a copy here..
                var carts = HostileCarts;
                if (HostileCarts != null)
                {
                    var whichCart = RaidHelper.GetMostPopulatedObject(carts, 25, playerLocations);

                    if (whichCart != null)

                    {
                        return new PvpHotspot("Enemy Minecart", whichCart);
                    }
                    
                }


                
            }

            if (Stance == PlayStyle.Defensive)
            {
                //Make a copy here..
                var carts = FriendlyCarts;
                if (FriendlyCarts != null)
                {
                    var whichCart = RaidHelper.GetLeastPopulatedObject(carts, 25, playerLocations);

                    if (whichCart != null)
                    {
                        return new PvpHotspot("Friendly Minecart", whichCart);
                    }

                }
            }

            return base.GetFightLocation(playerLocations, hotspots);
        }


        public override string ProfileName
        {
            get
            {
                return "SilvershardMines";
            }
        }

    }
}
